<?php

class formAuthplusOptions extends cmsForm {

    public $is_tabbed = true;

    public function init() {

        $model = new cmsModel();

        $show_notify_old_auth_options = $model->filterIsNull('password_hash')->getCount('{users}');

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_AUTHORIZATION,
                'childs' => array(

                    new fieldCheckbox('is_alter', array(
                        'title' => LANG_AUTHPLUS_ALTER,
                    )),

                    new fieldList('alter_columns', array(
                        'title' => LANG_AUTHPLUS_COLUMNS,
                        'is_chosen_multiple' => true,
                        'generator' => function($item){
                            $items = [];
                            $ap = cmsCore::getModel('users')->db->getRows('users_fields', 1, 'name'); 
							foreach ($ap as $a){$items[$a['name']] = $a['name'];}
                            return $items;
                        },
                        'default' => ['smiles', 'spoiler']
                    ))

                )
            ),
			array(
                'type' => 'fieldset',
                'title' => LANG_AUTHPLUS_API,
                'childs' => array(

                    new fieldCheckbox('is_api', array(
                        'title' => LANG_AUTHPLUS_API_ON,
                    )),
					new fieldString('api_site', array(
                        'title' => LANG_AUTHPLUS_SITE,
                    )),

                    new fieldString('api_key', array(
                        'title' => LANG_AUTHPLUS_KEY,
                    ))

                )
            )

        );

    }

}
